Announcement

Collapse
No announcement yet.

Catalina and ACDSee 4.4?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Catalina and ACDSee 4.4?

    Hi,

    For me version 4.4 is working good enough. So no upgrade to version 5 is necessary.
    Does version 4.4 works on Catalina?
    I read the confirmation on version 5, but version 4 is nowhere mentioned. I also cannot find any info on the website.

    Hope that you can help me before I upgrade my Macbook.

    Marcel

  • #2
    ACDSee 4.2 does not work on macOS Catalina, same **************** like with ACDSee 3 on macOS Mojave the program does not start.
    Where did you get 4.4?

    Comment


    • #3
      Oké, that doesnt sound good. I think that the same problems will occur for 4.4.
      I think that I download The 4.4 version from the site where you see which versions you have bought. But I’m not sure about that.

      I hope that an ACDSee Member van give the final answer.

      Comment


      • #4
        on the ACDSee page in my apps is only 4.2.744 but apple error report shows 4.4 (923)
        I ordered ACDSee 4 in may 2018 because ACDSee 3 stopped working in macOS Mojave, now the same problem if they don't fix it, I say bye bye this company

        Comment


        • #5
          Hi marcelwilschut and all,

          Version 4 is compatible with macOS 10.12, 10.13, and 10.14.
          It will not run on macOS 10.15 Catalina.
          The only version of ACDSee Photo Studio that is compatible with macOS 10.15 is version 5.3.

          Regards,
          David

          Comment


          • #6
            Dear David,

            Thank you very much for the answer.
            Unfortunately It is not the answer that I wished and hoped for. But it is what I expected a bit.....

            Cheers,
            Marcel

            Comment

            Working...
            X